Bug 23565 - Installer unable to create boot disk with LS-120.
Installer unable to create boot disk with LS-120.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-07 23:09 EST by Henri Schlereth
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 13:41:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2001-01-07 23:09:17 EST
Installer unable to create boot disk with LS-120. Mkbootdisk unable to create bootdisk as well. lilo -r to
device doesnt work. LS-120 can be formatted with mke2fs, can be mounted read and written to otherwise.
Cross tested with RH70 installer with identical results. Machine details follow.

Machine ID/name: 9/test2
CPU: Intel PIII/800Mhz (Coppermine)
Memory: 394MB
Motherboard: Asus BE6II
Video: ATI Radeon DDR 64MB
Storage: HPT370 (ATA100) Controller w/Quantum FireballP LM30 30020MB
         LS-120 VER5 00 UHD Floppy  
CD-Rom: Pioneer DVD-Rom ATAPIModel DVD-115 0114
        Teac CD-W512E ATAPI
Sound: Creative SB LiveMP3! 128bit

lspci:

00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:0b.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]
00:0f.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 08)
00:0f.1 Input device controller: Creative Labs SB Live! (rev 08)
00:13.0 Unknown mass storage controller: Triones Technologies, Inc. HPT366 (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5144

lspci -n:

00:00.0 Class 0600: 8086:7190 (rev 03)
00:01.0 Class 0604: 8086:7191 (rev 03)
00:07.0 Class 0601: 8086:7110 (rev 02)
00:07.1 Class 0101: 8086:7111 (rev 01)
00:07.2 Class 0c03: 8086:7112 (rev 01)
00:07.3 Class 0680: 8086:7113 (rev 02)
00:0b.0 Class 0200: 10b7:9050
00:0f.0 Class 0401: 1102:0002 (rev 08)
00:0f.1 Class 0980: 1102:7002 (rev 08)
00:13.0 Class 0180: 1103:0004 (rev 03)
01:00.0 Class 0300: 1002:5144
Comment 1 Sam Varshavchik 2001-01-07 23:45:38 EST
lilo's ability to work with ls-120 drives depends a lot on the motherboard
BIOS.  It will work with some BIOSes, won't work with others.  The only
guaranteed way to boot off ls-120 drives is with the syslinux loader.

Forget about it.  This is a big, big mess.  Here are some of the issues
involved:

1) With the system up, if your hard disk is on /dev/hda, and your LS-120 drive
is on /dev/hdb (for example) LILO will think that the LS-120 is BIOS device
0x81.  However, during the system boot, the BIOS will insert emulation code that
maps the LS-120 drive as BIOS device 0x00 - the first floppy drive.  This is how
the BIOS bootstraps the LS-120 as a floppy.

2) Additionally, most BIOSes will simply assume that the boot diskette is the
3.5" 1.44mb diskette, and will set the number of tracks/sectors for BIOS device
0x00 to 80/18 - the standard 3.5" 1.44mb format.  If you're trying to create a
bootable 100mb superfloppy, you're SOL.

This is beyond the scope of what LILO can handle.  It simply has no way of
knowing about any of this. I suppose you can go and harass lilo's author about
adding idefloppy-specific hacks to lilo, it's a lot of ugly code to get this
right, most of the time.

In most cases, though, it is very likely that you can generate a bootable 1.44mb
standard floppy by adding the "bios" directive to lilo.conf, telling lilo that
/dev/hdb is bios device 0x00.  Then, by fiddling with the compact and linear
option you could probably end up with something that boots. But the only
reliable way to boot from LS-120 is by using syslinux.

Comment 2 Michael Fulbright 2001-01-09 16:28:06 EST
Assigning to a developer.
Comment 3 Glen Foster 2001-01-11 16:04:49 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 4 Erik Troan 2001-01-12 13:40:57 EST
Fixed by switching to syslinux

Note You need to log in before you can comment on or make changes to this bug.